API reference
All operations
EQUIPMENT - UNDERCARRIAGE

Uploads a video for a specific undercarriage reading component and location.

POST/api/v2/equipment/undercarriage/videos/upload

Authentication

Choose one supported method for this request.

OAuth 2.0 client credentials

Request body

multipart/form-datarequired

The request containing readingId, component, location, videoId, mobileVideoId, and the video file.

object
  • ReadingIdinteger · int32
  • MobileAssignedReadingIdstring
  • Componentstring
  • Locationstring
  • VideoFilefile
  • MobileVideoIdstring

Responses

Video uploaded successfully.

Standard response envelopeisSuccessmessageerrorsdata

Read the result from data. When isSuccess is false, errors lists what went wrong. Handling errors

dataUndercarriageVideoUploadResult
  • readingIdinteger · int32
  • componentstring
  • locationstring
  • videoIdinteger · int32
  • mobileVideoIdstring
  • fullUrlstring
  • previewUrlstringnullable